var ColumnGharControllers = angular.module('myApp', []);
ColumnGharControllers.controller('columngharController', ['$scope', '$http', '$timeout',

    function ($scope, $http, $timeout) {
        var url;
        $scope.contactUs = [{ Name: '', Email: '', Message: '', FinalMessage:'' }];

        $scope.menu = function () {

            $http.get("http://www.columnghar.com/api/menu").success(function (data) {
                $scope.menu = data;
            });
        }

        $scope.init = function () {

            $.mobile.loading("show", {
            });

            url = 'http://www.columnghar.com/api/mccolumns';
            $http.get(url).success(function (data) {
                $scope.dailyColumns = data;
                $('div.ui-loader').hide();
                $scope.adMobileBottom();
                analytics.trackView('Main Screen');
            });

            //var deviceInfo = cordova.require("cordova/plugin/DeviceInformation");
            //deviceInfo.get(function (result) {
            //    alert(JSON.stringify(result));
            //}, function () {
            //    alert("error");
            //});

            // $scope.getWriters();
        }

        $scope.getDateWise = function (id) {
            $('div.ui-loader').show();
            url = 'http://www.columnghar.com/api/mccolumns?Dated=' + id;
            $http.get(url).success(function (data) {
                $scope.dateWiseColumns = data;
                $('div.ui-loader').hide();
                $scope.adMobileBottom();
                analytics.trackView('Date Wise Screen');

                $scope.uuid = $('#uuid').val();
            });
        }

        $scope.getWriters = function () {
            $('div.ui-loader').show();
            url = 'http://www.columnghar.com/api/mccolumns?Writer=1';
            $http.get(url).success(function (data) {
                $scope.writers = data;
                $('div.ui-loader').hide();
                $scope.adMobileBottom();
                analytics.trackView('Writer Screen');
            });            
        }

        $scope.getWriterColumns = function (id) {
            $('div.ui-loader').show();
            url = 'http://www.columnghar.com/api/mccolumns?WriterID=' + id;
            $http.get(url).success(function (data) {
                $scope.writerColumns = data;
                $('div.ui-loader').hide();
                $scope.adMobileBottom();
                analytics.trackView('Writer Columns Screen');
            });

            

        }

        $scope.getColumn = function (id) {
            $('div.ui-loader').show();
            url = 'http://www.columnghar.com/api/mccolumns/' + id + '?SystemID=' + $scope.uuid;
            $http.get(url).success(function (data) {
                $scope.detailColumn = data;
                $('div.ui-loader').hide();
                $scope.columnID = id;

                var readonly = false;
                if (data.Rate > 0) {
                    readonly = true;
                }
                //alert(data.Rate);
                //starOff : 'star-off-big.png',
                //starOn  : 'star-on-big.png',
                $('#raty').raty({
                    score: data.Rate, readOnly: readonly, starOff: 'star-off-big.png',
                    starOn: 'star-on-big.png',
                    click: function (score, evt) {
                        $scope.RateColumn($('#columnID').val(), score);
                    }
                });

                $scope.adMobile(15000);
                analytics.trackView('Column Detail Screen');
                //$('#columnImage').attr("src", data.ImageURL);
            });
        }

        $scope.adMobile = function (delay) {
            $timeout(function () {
                AdMob.prepareInterstitial({ adId: admobid.interstitial, autoShow: true });
                AdMob.showInterstitial();
            }, delay);
        }

        $scope.adMobileBottom = function () {
            AdMob.createBanner(admobid.banner, function () { }, function (data) { });
        }

        $scope.RateColumn = function (ColumnID, Rate) {
            console.log(ColumnID + ' ' + Rate);
            url = 'http://www.columnghar.com/api/mccolumns?ColumnID=' + ColumnID + '&Rate=' + Rate + '&SystemID=' + $scope.uuid;
            $http.get(url).success(function (data) {
            });

            $('#raty').raty({
                score: Rate, readOnly: true, starOff: 'star-off-big.png',
                starOn: 'star-on-big.png'
            });

            $scope.adMobile(500);
        }

        $scope.ShareLink = function (heading, link) {
            window.plugins.socialsharing.share(null, null, null, link);
            $scope.adMobile(500);
        }

        $scope.getNumber = function (num) {
            return new Array(num);
        }


        // ########### Columns Source ##########################

        $scope.getColumnsSource = function () {
            $('div.ui-loader').show();
            url = 'http://www.columnghar.com/api/Source';
            $http.get(url).success(function (data) {
                $scope.ColumnsSource = data;
                $('div.ui-loader').hide();
                $scope.adMobileBottom();
                analytics.trackView('Columns Source Screen');
            });
        }

        $scope.getColumnsSource_Main = function (id) {
            $('div.ui-loader').show();
            url = 'http://www.columnghar.com/api/Source?SourceID=' + id;
            $http.get(url).success(function (data) {
                $scope.ColumnsSource_Main = data;
                $('div.ui-loader').hide();
                $scope.adMobileBottom();
                analytics.trackView('Columns Source - Main Screen');

                $scope.uuid = $('#uuid').val();
            });
        }

        $scope.getColumnsSource_DateWiseColumns = function (id, dated) {
            $('div.ui-loader').show();
            url = 'http://www.columnghar.com/api/Source?SourceID=' + id + '&Dated=' + dated;
            $http.get(url).success(function (data) {
                $scope.ColumnsSource_DateWiseColumns = data;
                $('div.ui-loader').hide();
                $scope.adMobileBottom();
                analytics.trackView('Coumns Source - Date Wise Screen');

                $scope.uuid = $('#uuid').val();
            });
        }
        // ####################################################

        // ########### Top Viewed Columns ##########################

        $scope.getTopViewedColumns = function () {
            $('div.ui-loader').show();
            url = 'http://www.columnghar.com/api/TopViewed';
            $http.get(url).success(function (data) {
                $scope.TopViewedColumns = data;
                $('div.ui-loader').hide();
                $scope.adMobileBottom();
                analytics.trackView('Top Viewed Columns Screen');

                $scope.uuid = $('#uuid').val();
            });
        }
        // ####################################################

        // ########### Share The App ##########################

        $scope.ShareTheApp = function (id) {
            $('div.ui-loader').show();
            url = 'http://www.columnghar.com/api/ShareTheApp?app=' + id;
            $http.get(url).success(function (data) {
                $scope.varShareTheApp = data;
                $('div.ui-loader').hide();

                $scope.adMobileBottom();
                analytics.trackView('Share The App Screen');

                $scope.uuid = $('#uuid').val();
            });
        }
        // ####################################################

        $scope.ContactUs = function () {
            if ($scope.contactUs.Name == null) {
                alert("Name field is required!");
                return;
            }
            if ($scope.contactUs.Email == null) {
                alert("Email field is required!");
                return;
            }
            if ($scope.contactUs.Message == null) {
                alert("Message field is required!");
                return;
            }
            url = 'http://www.columnghar.com/api/ContactUs?name=' + $scope.contactUs.Name + '&email=' + $scope.contactUs.Email + '&id=' + $scope.uuid + '&message=' + $scope.contactUs.Message;
            $http.get(url).success(function (data) {
                alert("your message has been sent!");
                $scope.contactUs.Name = "";
                $scope.contactUs.Email = "";
                $scope.contactUs.Message = "";
            });
            
        }
    }]);

ColumnGharControllers.service('myservice', function () {
    this.xxx = "";
});